/*************************************************************************
 msqlexpire: module to remove records from a mSQL database based on age.
 ************************************************************************* 
 *
 * Copyright (c), 1994-1995, by B. Scott Burkett
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 * 3. All modifications to the source code must not be distributed without
 *    the permission of B. Scott Burkett.
 * 4. All advertising materials mentioning features or use of this software
 *    must display the following acknowledgment:
 *      This product includes software developed by B. Scott Burkett and
 *      other unpaid contributors.
 * 5. The name of B. Scott Burkett may not be used to endorse or promote
 *    products derived from this software without specific prior
 *    written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY B. SCOTT BURKETT AND CONTRIBUTORS "AS IS" AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED.  IN NO EVENT SHALL B. SCOTT BURKETT OR CONTRIBUTORS BE LIABLE
 * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
 * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 *
 ***************************************************************************** 
 $Header: /opt/home/staff/scottb/msqlexpire/RCS/strlib.h,v 1.1 1996/07/06 16:06:22 scottb Exp scottb $
 ***************************************************************************** 
 $Log: strlib.h,v $
 * Revision 1.1  1996/07/06  16:06:22  scottb
 * Initial revision
 *
 *****************************************************************************

 Header file for string functions

 *****************************************************************************/

#define  strbtrim(s)    strtrim(strltrim(s))
#define  strleft(s,n)   strmid(s,0,n)
#define  strright(s,n)  strmid(s,strlen(s)-n,n)
#define  strrtrim(s)    strtrim(s)

#ifdef XTERNDATA
#  define DEFSEG extern
#else
#  define DEFSEG
#endif

DEFSEG int strchg(char *s, char a, char b);
DEFSEG char *strsrep(char *s, char *a, char *b);
DEFSEG char *strtrim(char *s);
DEFSEG char *strdel(char *a, char *s);
DEFSEG char *strins(char *a, char *s, int p);
DEFSEG char *strinc(char *a, char *s);
DEFSEG char *strcode(char *s, char *k);
DEFSEG char *strltrim(char *s);
DEFSEG char *strschg(char *s, char *a, char *b);
DEFSEG char *strischg(char *s, char *a, char *b);
DEFSEG char *strisrep(char *s, char *a, char *b);
DEFSEG char *stridel(char *a, char *s);
DEFSEG char *striinc(char *a, char *s);
DEFSEG char *struplow(char *s);
DEFSEG char *strupper(char *s);
DEFSEG char *strlower(char *s);
DEFSEG char touplow(char *s, char *p, char c);
DEFSEG char *strsetsz(char *s, int n);
DEFSEG int strichg(char *s, char a, char b);
DEFSEG char *strischg(char *s, char *a, char *b);
DEFSEG char *strrol(char *s, int n);
DEFSEG char *strshl(char *s, int n);
DEFSEG int  strocc(char *s, char c);
DEFSEG int  strblank(char *s);
